### Constructor

# Gtk.Picture.new_for_filename

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a new `GtkPicture` displaying the file `filename`.

This is a utility function that calls `gtk_picture_new_for_file()`. See that function for details.

#### Parameters

`filename` | `const char*`
| a filename
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding

#### Return value

Returns: `GtkWidget`
a new `GtkPicture`
Ownership is not transferred to the caller